{% extends '@Paa/Default/menu.html.twig' %}

{% block head %}
    <meta name="description" content="Liste des {{ psLibelléTable }}">
    {{ parent() }}

{# LG 20200930 old    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/DataTables/datatables.min.css')}}"/>#}
    <link rel="stylesheet" type="text/css" href="{{asset_version('vendor/DataTables-1.10.15/css/jquery.dataTables.min.css')}}"/>
    {#spectrum : widget getColor utilisé pour les colorPicker #}
    <link rel="stylesheet" href="{{asset_version('vendor/spectrum/spectrum.css')}}" />

    <style type="text/css">
        #entityFormGrille_DataTableInfos {
            display: inline-block;
            float: right;
            /*padding-right: 15px;*/
            padding-top: 12px;
        }
        table.dataTable tbody tr, td {
            padding:0;
            height: 18px;
            min-height:10px;
            max-height:10px;
        }
        table.dataTable tbody td{
            padding-top:2px;
            padding-bottom:2px;
        }
        #resize_handle {
            /*LG 20190219 deac position: absolute;*/
            bottom: 0;
            left: 0;
            right: 0;
            cursor: n-resize;
            background-color: lightgrey;
            height: 5px;
            border: 2px outset;
            margin-top: 5px;
            margin-bottom: 10px;
        }
        {# LG 20181218 : surcharges pour spectrum début #}
        .sp-preview {
            height: 15px ;
        }
        .sp-replacer {
            border-radius: 4px ;
        }
        {# LG 20181218 : fin #}
    </style>

{%endblock%}

{#Titre de la page#}
{% block titrePage %}
    <div id="NomTable" style="display: none;">{{ psNomTable }}</div>
    <div id="LibelléTable" style="display: none;">{{ psLibelléTable }}</div>
{% endblock %}

{#Corps du body#}


{% block content %}
<div class="d-flex justify-content-center">
    <div id="resize_wrapper" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 pr-5 pl-5">
        <div class = "TitrePage pb-2 pt-3 pr-3">Saisie des {{ psLibelléTable }}</div>
        <div id = "entityFormGrille_DataTableInfos" class="pb-2 pt-3 pr-3 pl-3"></div>
        
        {#Boutons#}
        <div style="padding-top: 10px;">
            <div id="ctnBoutons_users_wrapper" class="col-xs-12 {#Pas besoin de mettre les autre col-..., quand on met un xs tout ceux au dessus sur pris pareils, de même pour col-sm-... etc #} ">        
                {% include '@Paa/Default/entityFormBoutons.html.twig' %}
            </div>
        </div>
        
        
        <table id="entityFormGrille_DataTable" class="display" cellspacing="0" width="100%"  style="visibility: hidden">
            <thead>
                <tr id="entityFormGrille_DataTableTitres" class="Bg-t-grille shadow-sm">
                {% block datatable_title %}{% endblock %}
            </tr>
        </thead>
        <tbody>
        {% block datatable_body %}{% endblock %}
    </tbody>
</table>
</div>
</div>

{#Boutons "Déplacé plus haut le 17/06/2020 par Emma "

<div style="padding-top: 10px;">
    <div id="ctnBoutons_users_wrapper" class="col-xs-12 col-sm-12 col-md-2 col-lg-2">        
        {% include '@Paa/Default/entityFormBoutons.html.twig' %}
    </div>
</div>#}
<div id="resize_handle" class="col-xs-12"></div>

{#Formulaire de saisie de l'entité#}
{% block formulaire_DataTable %}
    <div id="formulaire_DataTable_{{ psNomTable }}" style="{#margin-top: -15px;#} {#height: 100%#};" class="mt-3 ml-5 mr-5 mb-3"></div>
{% endblock %}

{% endblock %}


{#Scripts qui doivent s'exécuter à la fin du body#}
{% block scriptsEnFinDeBody %}
    {{ parent() }}
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityForm.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormBoutons.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Symfony/entityFormGrille.js')}}"></script>
    <script type="text/javascript" src="{{asset_version('Limoog/Partages/widgets/LGDataTable.js')}}"></script>

    <script>
        $(document).ready(pageEntityFormGrille_DocumentReady);

        function pageEntityFormGrille_DocumentReady() {
            // Récupérer les noms et libellés de la table gérée par la grille, puis changer l'Id des zones, pour éviter les confusuions avec les sous-formulaires
            var lsNomTable = $('#NomTable').text();
            var lsLibelléTable = $('#LibelléTable').text();
            $('#NomTable').prop("id", "NomTable_" + lsNomTable);
            $('#LibelléTable').prop("id", "LibelléTable_" + lsNomTable);

            // Définir l'objet de gestion combiné grille/boutons/entité
            window.entityFormGrille = newEntityFormGrille(lsNomTable, lsLibelléTable);

            // Générer le configurer le DataTable, et l'affecter à window.entityFormGrille.oDataTable
            var lsNomEntité = window.entityFormGrille.oEntityForm.NomTableToNomEntité(lsNomTable);
            LGDataTable_initGrille("entityFormGrille_DataTable", lsNomEntité, window.entityFormGrille, window.entityFormGrille.onLGDataTableInitComplete);

        }
    </script>
{% endblock %}
